CCS(1)

NAME
ccs - Generate circular consensus sequences from subreads

SYNOPSIS
ccs [options] INPUT OUTPUT

DESCRIPTION
Generate circular consensus sequences (ccs) from subreads.

OPTIONS

-h,--help
    Output this help.

--log-level,--logLevel
    Set log level. ["INFO"]

--version
    Output version info.

--force
    Overwrite OUTPUT file if present.

--zmws
    Generate CCS for the provided comma-separated holenumber ranges only. Default = all

--maxLength
    Maximum length of subreads to use for generating CCS. [21000]

--minLength
    Minimum length of subreads to use for generating CCS. [10]

--minPasses
    Minimum number of subreads required to generate CCS. [3]

--minPredictedAccuracy
    Minimum predicted accuracy in [0, 1]. [0.9]

--minIdentity
    Minimum identity to the POA to use a subread. 0 disables this filter. [0.82]

--minZScore
    Minimum z-score to use a subread. NaN disables this filter. [-3.4]

--maxDropFraction
    Maximum fraction of subreads that can be dropped before giving up. [0.34]

--minSnr
    Minimum SNR of input subreads. [3.75]

--minReadScore
    Minimum read score of input subreads. [0.75]

--byStrand
    Generate a consensus for each strand.

--noPolish
    Only output the initial template derived from the POA (faster, less accurate).

--polish
    Emit high-accuracy CCS sequences polished using the Arrow algorithm

--polishRepeats
    Polish repeats of 2 to N bases of 3 or more elements. [0]

--richQVs
    Emit dq, iq, and sq "rich" quality tracks.

--reportFile
    Where to write the results report. ["ccs_report.txt"]

--modelPath
    Path to a model file or directory containing model files.

--modelSpec
    Name of chemistry or model to use, overriding default selection.

--numThreads
    Number of threads to use, 0 means autodetection. [0]

--logFile
    Log to a file, instead of STDERR.

--emit-tool-contract
    Emit tool contract.

--resolved-tool-contract
    Use args from resolved tool contract.

  Arguments:

input
    Input file.

output
    Output file.

AUTHOR
This manpage was written by Andreas Tille for the Debian distribution and can be used for any other usage of the program.